<openerp>
    <data>

        <record id="feosco_contract_payment_form" model="ir.ui.view">
            <field name="name">feosco.contract.payment.form</field>
            <field name="model">feosco.contract.payment</field>
            <field name="arch" type="xml">
                <form string="Payment Time" version="7.0">
                    <header>

                    </header>
                    <sheet>
                        <group>
                            <field name="name"/>
                            <field name="payment_type"/>
                            <separator string="Rule" colspan="4"/>
                            <field name="rule_ids" nolabel="1" colspan="4"/>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>

        <record id="feosco_contract_payment_tree" model="ir.ui.view">
            <field name="name">feosco.contract.payment.tree</field>
            <field name="model">feosco.contract.payment</field>
            <field name="arch" type="xml">
                <tree string="Payment Rule">
                    <field name="name" select="1"/>
                    <field name="payment_type"/>
                </tree>
            </field>
        </record>

        <record id="feosco_contract_payment_act" model="ir.actions.act_window">
            <field name="name">Payment Time</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">feosco.contract.payment</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
        </record>

        <menuitem id="feosco_contract_payment_menu"
            parent="feosco_contract_menu" sequence="2"
            action="feosco_contract_payment_act"
            groups="base.group_sale_manager"/>



        <record id="feosco_contract_payment_rule_form" model="ir.ui.view">
            <field name="name">feosco.contract.payment.rule.form</field>
            <field name="model">feosco.contract.payment.rule</field>
            <field name="arch" type="xml">
                <form string="Payment rule" version="7.0">
                    <header>

                    </header>
                    <sheet>
                        <group>
                            <field name="categ_id"/>
                            <field name="deadline"/>
                        </group>
                    </sheet>
                </form>
            </field>
        </record>

        <record id="feosco_contract_payment_rule_tree" model="ir.ui.view">
            <field name="name">feosco.contract.payment.rule.tree</field>
            <field name="model">feosco.contract.payment.rule</field>
            <field name="arch" type="xml">
                <tree string="Payment Rule">
                    <field name="categ_id"/>
                    <field name="deadline"/>
                </tree>
            </field>
        </record>

        <record id="feosco_contract_payment_rule_act" model="ir.actions.act_window">
            <field name="name">Payment rule</field>
            <field name="type">ir.actions.act_window</field>
            <field name="res_model">feosco.contract.payment.rule</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
        </record>

        <menuitem id="feosco_contract_payment_rule_menu"
                  parent="feosco_contract_menu" sequence="3"
                  action="feosco_contract_payment_rule_act"/>


    </data>
</openerp>